extends Node
class_name IntegerRange

var min_value : int
var max_value : int

func _init(_min : int, _max : int) -> void:
	min_value = _min
	max_value = _max

func contains(value : int) -> bool:
	return value >= min_value and value <= max_value
	
func expand_to_include(value : int):
	if (min_value > value):
		min_value = value
		
	if (max_value < value):
		max_value = value
